from locate import *
from random import choice

def debut():
  ecran = Screen()
  menu = str()
  no = 1
  key = 0
  ecran.locate(1,1,"======Escalier=======")
  ecran.locate(1,2,"v 1.0b")
  ecran.locate(1,6,"[4,6]:Choisir [5]:OK")
  while key != 5:
    if no == 1:
      menu = "       Regles >>"
    elif no == 2:
      menu = "   <<  Jouer  >>"
    elif no == 3:
      menu = "   << Quitter   "
    ecran.locate(1,4,menu)
    key = ecran.refresh()
    try:
      key = int(key)
    except:
      key = 0
    if key == 4 and no > 1:
      no -= 1
    elif key == 6 and no < 3:
      no += 1
  if no == 1:
    regles()
    return 0
  elif no == 2:
    return 1
  else:
    return 2

def regles():
  input("L'Escalier est un jeu\nde cartes. Le but\nest d'avoir le plus\nde points possible.\n[EXE]:Suite\n")
  input("Pour cela vous devrez\nfaire des plis, c'est\na dire gagner des\ncartes en posant une\ncarte de la couleur\ndemandee.")
  input("La carte la plus\nforte fait gagner le\nplis. L'atout est une\ncouleur qui domine\nles autres et permet\nde couper les autres\ncouleurs.")
  input("Jouer de l'atout si\nl'on a pas la couleur\ndemandee est\nobligatoire. Il est\negalement oblige de\nmonter sur l'atout.\n")
  input("Au debut de chaque\ntour tous les joueurs\ndisent le nombres de\nplis qu'ils vont\nfaire si le contrat\nn'est pas respecte le\njoueur perd.")

def init_ecran(no, ecran):  
  if no == 1:
    ecran.locate(1,1,"Pts:    |Pos: |      ")
    ecran.locate(1,2,"Atout:  |Tot plis:   ")
    ecran.locate(1,3,"---------------------")
    ecran.locate(1,4,"| | | | | | | | |    ")
    ecran.locate(1,5,"| | | | | | | | |    ")
    ecran.locate(1,6,"Nbr de plis:         ")
  elif no == 2:
    ecran.locate(1,1,"Pts:    |Pos: |Plis: ")
    ecran.locate(1,2,"| | | | |Atout:      ")
    ecran.locate(1,3,"| | | | |Tot dmnd:   ")
    ecran.locate(1,4,"---------------------")
    ecran.locate(1,5,"| | | | | | | | |Dmnd")
    ecran.locate(1,6,"| | | | | | | | |--: ")
  elif no == 3:
    ecran.locate(1,1,"Nom|Pts |Plis|Dmnd|Po")
    ecran.locate(1,2,"---|----|----|----|--")
    ecran.locate(1,3," J |    |    |    |# ")
    ecran.locate(1,4,"IA1|    |    |    |# ")
    ecran.locate(1,5,"IA2|    |    |    |# ")
    ecran.locate(1,6,"IA3|    |    |    |# ")



def distribution(nb,cartes = ["#7","#8","#9","#0","#V","#D","#R","#A","$7","$8","$9","$0","$V","$D","$R","$A","%A","%8","%9","%0","%V","%D","%R","%1","&7","&8","&9","&0","&V","&D","&R","&A"]):
  main = [0]
  main = nb * main
  for i in range(0,nb):
    main[i] = choice(cartes)
    cartes.remove(main[i])
  main.sort()
  return [main,cartes]
    
def compte(contrat, plis, pts):
  if contrat == plis:
    pts = pts + (10 + 5*plis)
  else:
    pts = pts - 5*abs(plis-contrat)
  return pts

def key(ecran):
  i = ecran.refresh()
  try:
    i = int(i)
  except:
    i = -1
  return i

def display_cartes(x,cartes,ecran,maxi=8):
  nb = int(len(cartes))
  for i in range(0,maxi):
    if i < nb:
      ecran.locate((2*i)+2,x,cartes[i][0])
      ecran.locate((2*i)+2,x+1,cartes[i][1])
    else:
      ecran.locate((2*i)+2,x,"*")
      ecran.locate((2*i)+2,x+1,"*")

def ia(main,table,atout):
  nb_cartes = len(main)
  if table[0] == 0 or len(main) == 1:
    return 0
  carte_posee = table[0]
  carte_vue = str()
  for i in range(0,nb_cartes):
    carte_vue = main[i]
    if carte_vue[0] == carte_posee[0]:  
      return i
  for i in range(0,nb_cartes):
    carte_vue = main[i]
    if carte_vue[0] == atout[0]:
      return i
  return 0

def maximum(liste):
  ordre = ["7","8","9","0","V","D","R","A"]
  tableau = list()
  n = len(liste)
  for i in range(0,n):
    tableau.append(ordre.index(liste[i]))
  return ordre[max(tableau)]



